// ****************************************************************************
// Projekt      : (Name des Projekts)
// Prozessor    : PIC 18F4520 @ 40Mhz
// Compiler     : MPLAB XC8 2.45
// Autor        : Dominic Knpfel
// Datum        : (Datum)
// Version      : (Version)
// Beschreibung : (Kurze Beschreibung des Projekts)
// ****************************************************************************

// -- INCLUDES ----------------------------------------------------------------
#include <xc.h>		    // Compiler-Include (Port-Defines)
#include <stdbool.h>  // Include for data type 'bool' and keywords 'true' and 'false'
#include <stdint.h>   // Include for defines the standard integer types per ISO/IEC 9899:1999
#include "LCD_Module_DOGM163S-A.h"

// -- DEFINES -----------------------------------------------------------------
#define _XTAL_FREQ 40000000 // Crystal oscillator frequencies of 10Mhz with 4x PLL
#define LOOP_DELAY 100      // Loop-Delay in ms (Millisekunden)

#define LED_TEST LATDbits.LATD0

// -- FUNKTIONS-PROTOTYPEN ----------------------------------------------------

// -- SETUP -------------------------------------------------------------------
// --> Funktion "setup" wird initial beim Start einmal ausgeführt
void setup ( void )
{
    // lcd initialisieren
    LCD_Module_Init();
    LCD_Module_SetCursorPosition(1,1);
    LCD_Module_WriteString("Hello Mama");
    
    // Intitialisieren der PORTS
    TRISDbits.TRISD0 = 0;
    ANSELDbits.ANSD0 = 0;
    LED_TEST  = 0;
	
}

// -- ENDLOS-SCHLEIFE ---------------------------------------------------------
// --> Funktion "loop" wird in einem regelmässigen Zyklus aufgerufen
void loop ( void )
{
    LED_TEST = 0;
    __delay_ms(1000);
    LED_TEST = 1;
    __delay_ms(1000);
    
}

// -- HAUPTPROGRAMM -----------------------------------------------------------
// --> Code nicht verändern!
void main( void ) {
  setup();

  // Endlos-Schleife (Loop)
  while ( 1 ) {
    loop();
    __delay_us( LOOP_DELAY );
  }
}

// -- FUNKTIONEN --------------------------------------------------------------
